Nmap-7.92 for Porteus 5.0-x86_64

Post links to your 64bit module repos here. Repo maintainers are responsible for resolving any issues caused by their xzm's.
Post Reply
User avatar
wread
Module Guard
Module Guard
Posts: 1247
Joined: 09 Jan 2011, 18:48
Distribution: Porteus v5.0-kde-64 bits
Location: Santo Domingo
Contact:

Nmap-7.92 for Porteus 5.0-x86_64

Post#1 by wread » 23 Jul 2022, 15:01

Hi, all!
With the final version 5.0 of Porteus, all classic applications need to be revised to check if they still work...
The turn was yesterday for Nmap, a well known network scanner; the updated version 7.92 downloaded needed an extensive remodeling of fast all dependencies; several hours struggling and testing brought about positive results :D

Download and move it to a subfolder Nmap in "optional" if you will use it only occasionally, as I do. I did this job under KDE desktop. You can try if it works in your desktop, too!


Enjoy! B)
Porteus is proud of the FASTEST KDE ever made.....(take akonadi, nepomuk and soprano out and you will have a decent OS).
The Porteus Community never sleeps!

User avatar
Rava
Contributor
Contributor
Posts: 4606
Joined: 11 Jan 2011, 02:46
Distribution: XFCE 5.0 x86_64 + 4.0 i586
Location: Forests of Germany

Nmap-7.92 for Porteus 5.0-x86_64

Post#2 by Rava » 21 Aug 2022, 16:47

^
thanks. Which nmap would you recommend for an i586 Porteus 3.1?

4.0 would crash, and I am not sure if 5.0 would work, for now I keep the Samsung q40 it as it is - I even had to use an older kernel cause the 3.1 kernel did also crash…
Cheers!
Yours Rava

User avatar
Rava
Contributor
Contributor
Posts: 4606
Joined: 11 Jan 2011, 02:46
Distribution: XFCE 5.0 x86_64 + 4.0 i586
Location: Forests of Germany

Nmap-7.92 for Porteus 5.0-x86_64

Post#3 by Rava » 29 Aug 2022, 13:19

System Porteus x86-64 5.0 XFCE

Looks like some DEs might need additional dependencies, XFCE needs libnl.so.1

Code: Select all

guest@porteus:~$ nmap
nmap: error while loading shared libraries: libnl.so.1: cannot open shared object file: No such file or directory
guest@porteus:~$ ls /mnt/live/memory/images/nmap-7.92-x86_64-1.xzm
usr  var
guest@porteus:~$ cat /etc/porteus/*
001-core.xzm:20220723
002-xorg.xzm:20220723
002-xtra.xzm:20220630
003-xfce4.xzm:20220428
initrd.xz:20201102
Trying it via getpkg

Code: Select all

root@porteus:/Porteus_modules# getpkg libnl
Checking that mirror is online ...

--2022-08-29 15:13:05--  https://dfw.mirror.rackspace.com/slackware//slackware64-15.0/FILELIST.TXT
Resolving dfw.mirror.rackspace.com (dfw.mirror.rackspace.com)... 74.205.112.120
Connecting to dfw.mirror.rackspace.com (dfw.mirror.rackspace.com)|74.205.112.120|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1498899 (1.4M) [text/plain]
Saving to: ‘/tmp/getpkg/FILELIST.TXT’

FILELIST.TXT        100%[===================>]   1.43M   251KB/s    in 5.9s    

2022-08-29 15:13:12 (246 KB/s) - ‘/tmp/getpkg/FILELIST.TXT’ saved [1498899/1498899]

[OK] libnl-1.1.4-x86_64-5.txz

Please enter a directory to download the packages to.
> .

Downloading: libnl-1.1.4-x86_64-5.txz   DONE 
Converting libnl-1.1.4-x86_64-5.txz ...
Verifying package libnl-1.1.4-x86_64-5.txz.
Installing package libnl-1.1.4-x86_64-5.txz:
PACKAGE DESCRIPTION:
# libnl (netlink socket library)
#
# libnl is a library for applications dealing with netlink sockets.
# The library provides an interface for raw netlink messaging and
# various netlink family specific interfaces.
# 
# Homepage: http://people.suug.ch/~tgr/libnl/
Executing install script for libnl-1.1.4-x86_64-5.txz.
Package libnl-1.1.4-x86_64-5.txz installed.
Creating /Porteus_modules/libnl-1.1.4-x86_64-5.xzm

 Processing finished. 
Your files are in: .
activating libnl-1.1.4-x86_64-5.xzm and testing if nmap is working:

Code: Select all

root@porteus:/Porteus_modules# nmap -version
Nmap version 7.92 ( https://nmap.org )
Platform: x86_64-slackware-linux-gnu
Compiled with: nmap-liblua-5.3.5 openssl-1.1.1q libssh2-1.9.0 libz-1.2.11 libpcre-8.45 nmap-libpcap-1.9.1 nmap-libdnet-1.12 ipv6
Compiled without:
Available nsock engines: epoll poll select
Yay! :celebrate3:
So you know how to get the dependency for yourself if you run into the same issue.
Cheers!
Yours Rava

Post Reply